Package org.apache.sling.maven.bundlesupport

# Class BundlePrerequisite

java.lang.Object
org.apache.sling.maven.bundlesupport.BundlePrerequisite

public final class BundlePrerequisite extends Object
Bundles that have to be installed as prerequisites to execute a goal. The bundles are only installed if the preconditions are met.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`BundlePrerequisite.Bundle`
Described bundle with symbolic name and bundle version.

## Constructor Summary

Constructors
Constructor
Description
`BundlePrerequisite()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBundle(BundlePrerequisite.Bundle bundle)`
`void`
`addPrecondition(BundlePrerequisite.Bundle bundle)`
`List<BundlePrerequisite.Bundle>`
`getBundles()`
`List<BundlePrerequisite.Bundle>`
`getPreconditions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundlePrerequisite

public BundlePrerequisite()

## Method Details

### addBundle

public void addBundle(BundlePrerequisite.Bundle bundle)

### addPrecondition

public void addPrecondition(BundlePrerequisite.Bundle bundle)

### getBundles

public List<BundlePrerequisite.Bundle> getBundles()

### getPreconditions

public List<BundlePrerequisite.Bundle> getPreconditions()